Package org.apache.nutch.crawl

## Class SignatureFactory

- java.lang.Object
- - org.apache.nutch.crawl.SignatureFactory

-     public class SignatureFactory
      extends Object

  Factory class, which instantiates a Signature implementation according to the current Configuration configuration. This newly created instance is cached in the Configuration instance, so that it could be later retrieved.
  Author:
    Andrzej Bialecki <ab@getopt.org>

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Signature` | `getSignature​(Configuration conf)` | Return the `Signature` implementation for a given `Configuration`, or `MD5Signature` by default.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSignature

          public static Signature getSignature​(Configuration conf)

      Return the `Signature` implementation for a given `Configuration`, or `MD5Signature` by default.
      Parameters:
        `conf` - a populated `Configuration`
      Returns:
        the `Signature` implementation